Browser Requirements

The web portal runs inside compatible web browsers. We recommend using the following web browsers.

  • Google Chrome (Latest)
  • Firefox (Latest)
  • Safari (Latest)
  • Windows Edge (Latest)
  • Opera (Latest)
  • Internet Explorer (11)
  • Internet Explorer (10)

Warning

For administration work, the Web Portal doesn’t support Internet Explorer 8 any more.

Note

Google Chrome and Firefox have self-update feature so most of the time you are running the latest version. It is OK if these web browser are not latest, as long as they were released after 2011.

For best user experience, we recommend latest version of web browsers.